Bug 213080 - nvidia ethernet controller
nvidia ethernet controller
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 14:16 EST by Jack Neely
Modified: 2007-11-16 20:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-25 09:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from the affected machine that includes the ethernet dumps (123.68 KB, text/plain)
2006-10-30 14:16 EST, Jack Neely
no flags Details

  None (edit)
Description Jack Neely 2006-10-30 14:16:31 EST
Description of problem:
I have several Sun X2100 that have this ethernet controller:

00:0a.0 Ethernet controller: nVidia Corporation CK804 Ethernet Controller (rev a3)

I had 2 machines drop off the network over the weekend.  They had the following
errors:

nv_stop_tx: TransmitterStatus remained busy<7>eth1: tx_timeout: dead entries!
NETDEV WATCHDOG: eth1: transmit timed out
eth1: Got tx_timeout. irq: 00000000
eth1: Ring at 374a7000: next 63 nic 0
eth1: Dumping tx registers
<dump>
eth1: Dumping tx ring
<dump>

These machines were setup with 802.1Q turned on and a native vlan and 3 other
vlans trunked to this interface.  The interface was quite busy.  I've seen
several emails and postings that lead me to this kernel bug.

http://bugzilla.kernel.org/show_bug.cgi?id=4552

Version-Release number of selected component (if applicable):
Linux uni20wr.unity.ncsu.edu 2.6.9-42.0.3.EL #1 Mon Sep 25 17:14:19 EDT 2006
i686 athlon i386 GNU/Linux
Comment 1 Jack Neely 2006-10-30 14:16:33 EST
Created attachment 139754 [details]
dmesg from the affected machine that includes the ethernet dumps
Comment 2 John W. Linville 2007-02-14 14:03:16 EST
Jack, please try the kernels here:

   http://people.redhat.com/jbaron/rhel4/RPMS.kernel/

Do you still experience the problem when using these kernels?
Comment 3 John W. Linville 2007-05-25 09:14:23 EDT
Closed due to lack of response...please reopen with the requested test results 
if the problem remains.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.